Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-18741

Buildbot: maven-javadoc-plugin 3.1.x fails with Java 8 as default

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Fix Version/s: None
    • Component/s: Buildbot
    • Labels:
      None
    • Project:
      Wicket

      Description

      Hi,

      working on master branch (https://ci.apache.org/builders/wicket-master) of Apache Wicket we have upgraded maven-javadoc-plugin to the last version 3.1.0 and then to 3.1.1. Starting with 3.1.0 we started to see this plugin failing generating JavaDocs for Wicket complaining about not existing packages. For example:

      {quote}
      [ERROR] MavenReportException: Error while generating Javadoc:
      Exit code: 1 - /home/buildslave/slave/wicket-master/build/wicket-util/src/main/java/org/apache/wicket/util/license/ApacheLicenseHeaderTestCase.java:32: error: package org.slf4j does not exist
      import org.slf4j.Logger;
      {quote}

      Master branch requires Java 11 and is configured to use it via toolchain. After some investigation I've been able to replicate this error running the build process with Java 8 (instead of Java 11) as default JDK. I suspect that we have the same configuration for the master branch worker. With Java 11 as default JDK everything works fine.
      Is it possible to set JAVA_HOME to java 11 for master branch builder?

      Thank you.

        Attachments

          Activity

            People

            • Assignee:
              gmcdonald Gavin McDonald
              Reporter:
              bitstorm Andrea Del Bene

              Dates

              • Created:
                Updated:
                Resolved:

                Issue deployment